ATA_SCSI_FLUSH_XLAT(9)

NAME
ata_scsi_flush_xlat - Translate SCSI SYNCHRONIZE CACHE command

SYNOPSIS

unsigned int ata_scsi_flush_xlat (struct ata_queued_cmd * qc, const u8 * scsicmd);

ARGUMENTS

qc  Storage for translated ATA taskfile

scsicmd
    SCSI command to translate (ignored)

DESCRIPTION

Sets up an ATA taskfile to issue FLUSH CACHE or FLUSH CACHE EXT.

LOCKING

spin_lock_irqsave(host_set lock)

RETURNS

Zero on success, non-zero on error.

AUTHOR
Jeff Garzik.